/*
 * Funambol is a mobile platform developed by Funambol, Inc. 
 * Copyright (C) 2003 - 2007 Funambol, Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission 
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE 
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License 
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 * 
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite 
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably 
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 *
 */

/*
 * SearchAddressForm.java
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.mailclient.loc.Localization;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextBox;
import javax.microedition.lcdui.TextField;

public class SearchAddressForm extends Form implements CommandListener{
    
    private ContactList contactList;
    private Command okCommand;
    private TextField searchBox;
    
    /** Creates a new instance of SearchAddressForm */
    public SearchAddressForm(ContactList contactList) {
        super(Localization.getMessages().AL_SEARCH_COMMAND);
        this.contactList = contactList;
        searchBox = new TextField(null, "", 10, TextField.ANY);
        this.append(searchBox);
        this.append(Localization.getMessages().T9SEARCH_GUIDE_IN_CONTACT_SEARCH);
        okCommand=new Command(Localization.getMessages().GENERIC_OK,UIController.COMMAND_TYPE,0);
        addCommand(okCommand);
        addCommand(UIController.cancelCommand);
        //#ifdef isBlackberry
//#        addCommand(UIController.blackberryExitCommand);
        //#endif
        this.setCommandListener(this);
    }
    
    public void commandAction(Command command, Displayable displayable) {
        if (command == okCommand) {

            contactList.setSearchString(searchBox.getString());
            UIController.display.setCurrent(contactList);
        } else if (command == UIController.cancelCommand) {
            UIController.display.setCurrent(contactList);
        } else if (command == UIController.blackberryExitCommand) {
            UIController.midlet.destroyApp( false );
        }
        
        
    }
    
}
