/*
 * Funambol is a mobile platform developed by Funambol, Inc. 
 * Copyright (C) 2003 - 2007 Funambol, Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission 
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE 
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License 
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 * 
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite 
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably 
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 *
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.ui.controller.Theme;
import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;
import com.funambol.util.Log;


public class SplashScreen extends Canvas{
    
    
    private int BACKGROUND_COLOR = 0xffffff; //white!
    private String [] message = { "Loading..." };
    
    //#ifdef BigChars
    //# private Font font = Font.getFont(Font.FACE_SYSTEM, Font.STYLE_PLAIN, Font.SIZE_LARGE);
    //#else
    private Font font = Font.getDefaultFont();
    //#endif
    private int FOREGROUND_COLOR = 0x000000;
    private int iconNumber;
    
    private  int width = 0;
    private  int height = 0;
    
    
    /** Creates a new instance of FunSplashScreen */
    public SplashScreen() {
        
       
        //#ifndef JVMFullScreen 
        // For P900 device Calling the Canvas.setFullScreenMode(boolean) 
        // method results in an error, 
        // unless it is called in the paint() method.
            this.setFullScreenMode(true);
        //#else
        // In SymUIQ builds need tack width and height for don't
        // have a jump of logo drawing it
//#            width = getWidth();
//#            height = getHeight() + 50;
        //#endif
        
        
    }
    
    public void setInitPhase(String message, int iconNumber) {
        this.message[0] = message;
        this.iconNumber = iconNumber;
        Log.info("setting message in splash screen: " + message);
        
        repaint();
        this.serviceRepaints();
    }
    
    public void setInitPhase(String[] message, int iconNumber) {
        
        this.message = message;
        this.iconNumber = iconNumber;
        
        repaint();
        this.serviceRepaints();
        
    }
    
    
    protected void paint(Graphics graphics) {
        
            
        //#ifndef JVMFullScreen
        // for draw the logo in the center screen in the different builds of SymUIQ
            width = getWidth();
            height = getHeight();
        //#else
        // For P900 device Calling the Canvas.setFullScreenMode(boolean) 
        // method results in an error, 
        // unless it is called in the paint() method.
//#            this.setFullScreenMode(true);
        //#endif
        
        graphics.setColor(BACKGROUND_COLOR);
        
        graphics.fillRect(0, 0, width, height);
        
         graphics.drawImage(Theme.getLogoImage(),
                width/2,
                (height - message.length * font.getHeight())/2,
                Graphics.HCENTER | Graphics.VCENTER );
        
        graphics.setColor(FOREGROUND_COLOR);
        
        for (int i=0; i< message.length; i++) {
            graphics.drawString(
                    message[i],
                    width/2 ,
                    (height + Theme.getLogoImage().getHeight()- message.length * font.getHeight())/2  + i*font.getHeight(),
                    Graphics.HCENTER | Graphics.TOP
                    );
        }
        if (iconNumber == 1) {
            graphics.drawImage(Theme.getCLOSED_PART_IMG(),
                    width/2 - 40,
                    (height - 20),
                    Graphics.HCENTER | Graphics.VCENTER );
        } else if (iconNumber == 2) {
            graphics.drawImage(Theme.getCLOSED_PART_IMG(),
                    width/2 - 40,
                    (height - 20),
                    Graphics.HCENTER | Graphics.VCENTER );
            graphics.drawImage(Theme.getCONTACT_IMG(),
                    width/2 + 40,
                    (height - 20),
                    Graphics.HCENTER | Graphics.VCENTER );
        }
        /*
        for (int i=0; i< message.length; i++) {
            graphics.drawString(
                    message[i],
                    0 ,
                    0  + i*font.getHeight(),
                    Graphics.TOP | Graphics.HCENTER
                    );
        }*/
    }
    
    
}
