/*
 * Funambol is a mobile platform developed by Funambol, Inc. 
 * Copyright (C) 2003 - 2007 Funambol, Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission 
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE 
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License 
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 * 
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite 
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably 
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 */

package com.funambol.mailclient.loc;


/**
 * This class contains the default messages for the Mail Client.
 * The default messages are in English, and can be translated overridding
 * this class changing all the strings accordingly.
 */
public class LocalizedMessagesIT extends LocalizedMessages {
    
    
    
    // used in UIThreadPoolMonitor
    // Precompiled message for Motorola 
    //#ifdef RepeatQuestion
//#      // Precompiled message for Motorola 
//#      public static final String APPLICATION_IS_IN_OFFLINE_MODE = "Stai lavorando offline.  " +
//#              "Verrai avvisato di riconnetterti la prossima volta che accedi alla rete.  " +
//#              "Seleziona SI per riconnetterti.  Se non vieni avvisato di riconnetterti alla rete, " +
//#              "dai conferma attraverso il menu dei permessi dell'applicazione che Funambol " +
//#              "ha ottenuto il permesso di connettersi alla rete.";
    //#elifndef RepeatQuestion
    // Precompiled message for Nokia and SonyEricsson
    public static final String APPLICATION_IS_IN_OFFLINE_MODE = "Stai lavorando offline. Per riconnetterti, chiudere e riavviare l'applicazione.";
    //#endif
    public static final String APPLICATION_SYNC_VIA_SMS_OFFLINE_MODE = "Hai ricevuto un nuovo messaggio, ma sei " +
            "offline in questo momento. " +
            "Riavvia l'applicazione per scaricarlo.";
    
    // used in FunCanvasContactList --
    public static final String SELECT_COMMAND = "Seleziona";
    
    // used in UIController --
    public static final String BACK_COMMAND = "Indietro";
    
    // used in UIController --
    public static final String CANCEL_COMMAND = "Annulla";
    
    // used in UIController --
    public static final String INBOX_COMMAND = "In arrivo";
    
    // used in FunCanvasRecipientList, ComposeMessageForm --
    public static final String SAVE_COMMAND = "Salva";
    
    //used in inbox
    public static final String INBOX_DEFAULT_TITLE = "In arrivo";
    
    // used in AdvancedContactForm, SearchAddressForm --
    public static final String GENERIC_OK = "Ok";
    
    // used in FunCanvasContactList, FunCanvasRecipientList --
    public static final String AL_OK_COMMAND = "Eseguito";
    
    // used in UIController --
    public static final String UNABLE_TO_DELETE_CONTACT = "Impossibile cancellare contatto";
    
    // used in UIController --
    public static final String DELETING_CONTACT = "Rimozione contatto";
    
    // used in AddContactForm, FunCanvasRecipientList --
    public static final String CONTACT_ALREADY_EXISTS = "Contatto esiste gi";
    
    // used in AddContactForm --
    public static final String CONTACT_ALREADY_EXISTS_EDITING_IT =
            "Contatto esiste gi, in fase di modifica";
    
    // used in MessageHandler --
    public static final String OTA_CONFIG_ALERT =
            "Nuovo SMS con Configurazione ricevuto. In fase di salvataggio...";
    
    // used in Funambol, LifeCycleController, OTAMessagesManager --
    public static final String ALERT_SECURITY_EXCEPTION_MESSAGE =
            "Funzione di accesso ai messaggi rifiutata. L'applicazione non potr ricevere aggiornamenti.";
    
    // used in UIThreadPoolMonitor --
    public static final String AUTHENTICATION_ERROR_MSG =
            "Autenticazione fallita. Controllare le proprie credenziali.";
    
    // used in UIThreadPoolMonitor --
    public static final String OUTOFMEMORY_ERROR =
            "Memoria piena, ripristino...";
    
    // used in UIThreadPoolMonitor --
    //public static final String SYNC_ERROR_MSG = "Errore durante invio/ricezione.";
    
    // used in UIThreadPoolMonitor --
    public static final String BUSY_ERROR_MSG = "Server occupato. E' possibile che ci sia gi una sincronizzazione in corso su un altro dispositivo per questo account. Riprovare pi tardi." ;
    
    // used in UIThreadPoolMonitor --
    public static final String EMAIL_ERROR_MSG =
            "Errore di accesso al vostro account di mail. Controllare i settaggi server side della vostra mail." ;
    
    // Used in UIController
    public static final String SAVE_OUTBOX_ERROR = "Errore durante il salvataggio del messaggio in uscita";
    
    // used in LifeCycleController, UIThreadPoolMonitor --
    public static final String GENERIC_ERROR_MESSAGE = "Errore insapettato.";
    
    // used in UIThreadPoolMonitor --
    public static final String STORAGE_ERROR_MSG = "Errore di accesso storage locale.";
    
    // used in UIThreadPoolMonitor --
   // public static final String NETWORK_ERROR_MSG = "Errore di connessione al server remoto.";
    
    // used in UIThreadPoolMonitor --
    public static final String AB_LIMIT_ERROR_MSG =
            "Rubrica piena. Ridurre il numero di contatti sul " +
            "server  e ripristinarli usando la funzione Reset.";
    
    // used in UIThreadPoolMonitor --
    public static final String ACCESS_ERROR_MSG =
            "Impossibile contattare il server.  Confermare di avere una connessione dati" +
            "funzionante, sufficiente segnale, e l'indirizzo corretto " +
            "del server nei settaggi Account.";
    
    // used in UIThreadPoolMonitor --
    public static final String ILLEGAL_ARGUMENT_MSG =
            "Impossibile contattare il server. Verificare " +
            "indirizzo nei settaggi Account.";
    
    public static final String FORBIDDEN_ERROR_MSG =
            "USername o password sbagliati.  Controllare " +
            "credenziali nei settaggi Account.";
    
    // used in UIThreadPoolMonitor --
    public static final String SERVER_ERROR_MSG =
            "Errore durante la comunicazione con il server. Riprovare pi tardi.";

    // used in Funambol --
    public static final String CONFIG_NOT_SET =
            "Inserire i dati del vostro account per utilizzare l'applicazione.";
    
    // used in UIThreadPoolMonitor --
    public static final String SYNC_IN_PROGRESS_MSG =
            "Operazione in background in esecuzione. Riprovare pi tardi.";
    
    // used in AdvancedContactForm --
    public static final String ACF_CONTACT_FIRSTNAME_LABEL = "Nome";
    
    // used in AdvancedContactForm --
    public static final String ACF_CONTACT_LASTNAME_LABEL = "Cognome";
    
    // used in AddContactForm --
    public static final String ACF_CONTACT_EMAIL_1_LABEL = "Indirizzo email principale:";
    
    // used in AdvancedContactForm --
    public static final String ACF_CONTACT_EMAIL_2_LABEL = "Seconda email";
    
    // used in AdvancedContactForm --
    public static final String ACF_CONTACT_EMAIL_3_LABEL = "Terza email";
    
    // used in AdvancedContactForm --
    public static final String ACF_CONTACT_HOME_LABEL = "Telefono casa";
    
    // used in AdvancedContactForm --
    public static final String ACF_CONTACT_JOB_LABEL = "Telefono ufficio";
    
    // used in AdvancedContactForm --
    public static final String ACF_CONTACT_MOBILE_LABEL = "Cellulare";
    
    // used in AddContactForm, AdvancedContactForm --
    public static final String ACF_ADVANCED_COMMAND_LABEL = "Avanzate";
    
    // used in AddContactForm --
    public static final String ACF_EDIT_CONTACT_FORM_TITLE = "Modifica contatto";
    
    // used in AddContactForm --
    public static final String ACF_VISIBLE_NAME_LABEL = "Nome visualizzato:";
    
    // used in AddContactForm --
    public static final String ACF_NEW_CONTACT_FORM_TITLE = "Nuovo contatto";
    
    // used in UIController --
    public static final String ACF_ALERT_CONTACT_SAVED_MESSAGE = "Contatto salvato";
    
    // used in AddContactForm --
    public static final String ACF_ALERT_ERROR_SAVING_CONTACT_MESSAGE =
            "Errore salvataggio contatto";
    
    // used in AddContactForm, AdvancedContactForm --
    public static final String INVALID_EMAIL_ADDRESS = "Indirizzo email non valido";
    
    // used in FunCanvasContactList, FunCanvasViewMessage, FunCanvasDraftMessageList, FunCanvasOutboxMessageList --
    public static final String EDIT_COMMAND_LABEL = "Modifica";
    
    public static final String FROM_IS_NULL = "Mittente non presente.";
    
    // used in FunCanvasContactList, FunCanvasOutboxMessageList, FunCanvasViewMessage --
    public static final String DELETE_COMMAND_LABEL = "Cancella";
    
    // used in FunCanvasContactList --
    public static final String ABF_SAVE_CONTACT_COMMAND = "Salva contatto";
    
    // used in FunCanvasContactList --
    public static final String FAL_SYNC_IN_PROGRESS = "Aggiornamento contatti...";
    
    // used in UIThreadPoolMonitor, FunCanvasContactList,ComposeMessageForm, RecipientsStringItem --
    public static final String SELECT_RECIPIENTS = "Seleziona destinatari";
    
    // used in FunCanvasContactList --
    public static final String AL_ADD_CONTACT_COMMAND = "Nuovo contatto";
    
    // used in FunCanvasContactList, SearchAddressForm --
    public static final String AL_SEARCH_COMMAND = "Cerca";
    
    
    // used in FunCanvasContactList, SearchAddressForm --
    public static final String AL_CLEAR_SEARCH_COMMAND = "Annulla ricerca";
    

    // used in GetMailSettingsForm --
    public static final String AUTO_SYNC_SETTINGS_FORM_TITLE = "Opzioni generali";
    
    // used in GetMailSettingsForm --
    public static final String ASSF_SYNC_SETTINGS_CHOICE_LABEL = "Scarica email:";
    
    // used in GetMailSettingsForm NOT USED
    //public static final String ASSF_SYNC_SETTINGS_CHOICE_0 = "Solo manuale";
    
    // used in GetMailSettingsForm NOT USED
    //public static final String ASSF_SYNC_SETTINGS_CHOICE_1 = "Scheduled";
    
    // used in GetMailSettingsForm --
    public static final String ASSF_SCHEDULED_TIME_FIELD_LABEL = "A:";
    
    // used in GetMailSettingsForm NOT USED
    //public static final String ASSF_SET_TIME_BEFORE_MESSAGE = "Specifica ora del giorno";
    
    // used in GetMailSettingsForm --
    public static final String ASSF_SETTINGS_SAVED_MESSAGE = "Opzioni generali salvate.";
    
    
    // used in AccountSettingsForm --
    public static final String CONNECTION_SETTINGS_FORM_TITLE = "Opzioni account";
    
    // used in AccountSettingsForm --
    public static final String CSF_SERVER_URL_TF_LABEL = "Indirizzo server:";
    
    // used in AccountSettingsForm --
    public static final String CSF_USERNAME_TF_LABEL = "Username:";
    
    // used in AccountSettingsForm --
    public static final String CSF_EMAIL_REMOTE_NAME_TF_LABEL = "Nome Email remota:";
    
    // used in AccountSettingsForm --
    public static final String CSF_CONTACTS_REMOTE_NAME_TF_LABEL = "Nome contatto remoto:";
    
    // used in AccountSettingsForm --
    public static final String CSF_PASSWORD_TF_LABEL = "Password:";
    
    // used in AccountSettingsForm --
    public static final String CSF_EMAIL_ADDRESS_TF_LABEL = "Indirizzo Email:";
    
    // used in AccountSettingsForm --
    public static final String CSF_VISIBLE_NAME_TF_LABEL = "Visualizza nome:";
    
    // used in AccountSettingsForm --
    public static final String CSF_SETTINGS_SAVED_MESSAGE = "Opzioni Account salvate.";
    
    // used in AccountSettingsForm --
    public static final String CSF_EMPTY_CREDENTIALS_ERROR = "Account errato. Controllare credenziali.";
    
    // used in AccountSettingsForm --
    public static final String CSF_INVALID_EMAIL_ERROR = "Indirizzo errato. Controllare campo Email.";
    
    // used in AccountSettingsForm --
    public static final String SAVING_ACCOUNT_POPUP_TITLE = "Salvataggio Account";
    
    // used in AccountSettingsForm --
    public static final String SAVING_ACCOUNT_POPUP_MSG = "Account modificato. Messaggi e contatto saranno cancellati e scaricati dal nuovo account. Sei sicuro?";
    
    // used in SavingAccountAction
    public static final String RESETTING_MSG = "Ripristino...";
    
    // used in FunCanvasDraftMessageList --
    public static final String DRAFT_MESSAGE_LIST_TITLE = "Bozze";
    
    // used in FunCanvasDraftMessageList, FunCanvasSentMessageList --
    public static final String DML_DELETE_ALL_COMMAND = "Cancella tutto";
    
    
    // used in FolderList --
    public static final String FOLDER_LIST_TITLE = "Cartelle";
    
    // used in FolderList -- , LinkList --
    public static final String OPEN_COMMAND = "Apri";
    
    // used in ComposeMessageForm --
    public static final String COMPOSE_MESSAGE_FORM_TITLE = "Componi messaggio";
    
    // used in ComposeMessageForm --
    public static final String CMF_BODY_TF_LABEL = "Corpo";
    
    // used in ComposeMessageForm --
    public static final String CMF_SUBJECT_TF_LABEL = "Soggetto";
    
    // used in ComposeMessageForm, FunCanvasViewMessage --
    public static final String SEND_COMMAND_LABEL = "Invia";
    
    // used in ComposeMessageForm --
    public static final String CMF_SEND_LATER_COMMAND = "Invia pi tardi";
    
    // used in ComposeMessageForm, RecipientsStringItem --
    public static final String ADD_RECIPIENTS_COMMAND = "Destinatari";
    
    // used in ComposeMessageForm --
    public static final String CMF_CANCEL_COMMAND = "Annulla composizione. Sei sicuro?";
    
    // used in UIController --
    public static final String COMPOSE_MESSAGE_FORM_SAVED_TO_OUTBOX = "Messaggio salvato in Posta in Uscita, verr spedito alla prossima connessione";
    
    // used in UIController --
    public static final String COMPOSE_MESSAGE_FORM_SAVED_TO_DRAFT = "Messaggio salvato in Bozze";
    
    // used in UIController --
    public static final String UNABLE_TO_SAVE_MESSAGE_TO_DRAFT =
            "Errore: Impossibile salvare il messaggio in Bozze";
    
    // used in ComposeMessageForm --
    public static final String COMPOSE_MESSAGE_FORM_ERROR_MESSAGE = "Selezionare i destinatari ";
    
    // used in LinkList --
    public static final String LINK_LIST_TITLE = "Lista collegamenti";
    
    // used in LinkList --
    public static final String LL_NO_LINKS_MESSAGE = "Nessun collegamento trovato";
    
    // used in LogSettingsForm --
    public static final String LOG_SETTINGS_FORM_TITLE = "Opzioni log";
    
    // used in LogSettingsForm --
    public static final String LSF_VIEW_LOG_COMMAND = "Visualizza Log";
    
    // used in LogSettingsForm --
    //public static final String LSF_LOG_LEVEL_CHOICE_0 = "Errore";
    public static final String LSF_LOG_LEVEL_CHOICE_0 = "On";
    
    // used in LogSettingsForm --
    public static final String LSF_LOG_LEVEL_CHOICE_1 = "Info";
    
    // used in LogSettingsForm --
    public static final String LSF_LOG_LEVEL_CHOICE_2 = "Debug";
    
    // used in LogSettingsForm --
    //public static final String LSF_LOG_LEVEL_DISABLED = "Nessuno";
    public static final String LSF_LOG_LEVEL_DISABLED = "Off";
    
    // used in LogSettingsForm --
    public static final String LSF_LOG_LEVEL_CHOICE_LABEL = "Livello:";
    
    // used in LogSettingsForm --
    private final String LSF_LOG_LEVEL_SET_TO = "Livello Log settato a ";
    
    // used in LogSettingsForm --
    public static final String LSF_LOG_ENABLING_CHOICE_LABEL = "Log abilitato:";
    
    // used in LogSettingsForm --
    public static final String LSF_LOG_DISABLED = "Off";
    
    // used in LogViewerForm --
    public static final String LOG_VIEWER_FORM_TITLE = "Visualizza Log";
    
    // used in LogViewerForm --
    public static final String END_OF_LOG_LABEL = "\n--- Fine Log ---";
    
    // used in FunCanvasOutboxMessageList --
    public static final String OUTBOX_MESSAGE_LIST_TITLE = "Posta in uscita";
    
    // used in FunCanvasOutboxMessageList --
    public static final String OML_SEND_ALL_COMMAND = "Invia tutto";
    
    // used in PhoneNumberList --
    public static final String PHONENUMBER_LIST_TITLE = "Numeri di telefono";
    
    // used in PhoneNumberList --
    public static final String PNL_NO_NUMBERS_FOUND_MESSAGE = "Nessun numero trovato";
    
    // used in PhoneNumberList, FunCanvasContactList, FunCanvasViewMessage --
    public static final String CALL_NUMBER_COMMAND = "Chiama";
    
    public static final String CALL_SENDER_COMMAND = "Chiama Mittente";
    
    // used in FunCanvasViewMessage, RecipientsStringItem --
    public static final String BCC_LABEL = "Bcc: ";
    
    // used in FunCanvasViewMessage, RecipientsStringItem --
    public static final String CC_LABEL = "Cc: ";
    
    // used in FunCanvasViewMessage, RecipientsStringItem --
    public static final String TO_LABEL = "A: ";
    
    // used in UIController --
    public static final String FROM_LABEL = "Da: ";
    
    // used in UIController --
    public static final String RE_LABEL = "Re: ";
    
    // used in UIController --
    public static final String FW_LABEL = "Fw: ";
    
    // used in FunCanvasSentMessageList --
    public static final String SENT_MESSAGES_LIST_TITLE = "Spedito";
    
    // used in SettingsList --
    public static final String SL_CHOICE_LOG = "Logging";
    
    // used in SettingsList --
    public static final String SETTINGS_LIST_TITLE = "Opzioni";
    
    // used in SettingsList --
    public static final String SL_CHOICE_AUTO_SYNC = "Generale";
    
    // used in SettingsList --
    public static final String SL_CHOICE_CONNECTION = "Account";
    
    
    // used in GetMailSettingsForm --
    public static final String MFSF_DELETE_PROPAGATION = "Cancella messaggi:";
    
    // used in GetMailSettingsForm --
    public static final String MFSF_DELETE_ON_DEVICE = "Solo Device";
    
    // used in GetMailSettingsForm --
    public static final String MFSF_DELETE_ON_SERVER = "Device & Server";
    
    // used in FunCanvasSentMessageList --
    public static final String IML_OPEN_COMMAND = "Visualizza";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_RECIPIENTS_COMMAND = "Viusalizza destinatari";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_SAVE_SENDER_COMMAND = "Salva mittente";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_REPLY_ALL_COMMAND = "Rispondi a tutti";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_REPLY_COMMAND = "Rispondi";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_NUMBERS_COMMAND = "Estrai numeri";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_LINKS_COMMAND = "Sfoglia collegamenti";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_FORWARD_COMMAND = "Avanti";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_FULL_MSG_CMD = "Recupera tutto";
    
    // used in FunCanvasViewMessage --
    public static final String MESSAGE_VIEW_FORM_TITLE = "Visualizza messaggio";
    
    // used in FunCanvasViewMessage --
    public static final String MESSAGE_VIEW_UNABLE_TO_CREATE_CONTACT = "Impossibile creare contatto";
    
    // used in FunCanvasViewMessage --
    public static final String MESSAGE_VIEW_NEXT_MESSAGE = "Messaggio successivo...";
    
    // used in FunCanvasViewMessage --
    public static final String MESSAGE_VIEW_PREVIOUS_MESSAGE = "Messaggio precedente...";
    
    // used in FunCanvasViewMessage --
    public static final String MVF_FULL_MESSAGE_LOADING = "Caricamento...";
    
    // used in FunCanvasViewMessage --
    public static final String MVHI_FROM_LABEL = "Da: ";
    
    // used in FunCanvasViewMessage --
    public static final String MVHI_ON_LABEL = "Spedito il: ";
    
    
    // used in UIController --
    public static final String MVHI_RE_LABEL = "Re: ";
    
    // used in UIController --
    public static final String MVHI_FW_LABEL = "Fw: ";
    
    // used in FunCanvasViewMessage --
    public static final String MVHI_SUBJ_LABEL = "Sogg: ";
    
    // used in UIController --
    public static final String UNABLE_TO_FIND_PERSONAL_ADDRESS = "Impossibile trovare indirizzo personale, controllare configurazione";
    
    // used in TaskManager --
    public static final String ACCOUNT_LISTENER_ERROR_CONNECTIONG  = "Errore di connessione all'host remoto";
    
    // used in TaskManager --
    public static final String ACCOUNT_LISTENER_ERROR_RECEIVING = "Errore di ricezione messaggi";
    
    // used in TaskManager --
    public static final String ACCOUNT_LISTENER_ERROR_SENDING = "Errore di spedizione messaggi";
    
    // used in TaskManager --
    public static final String ACCOUNT_LISTENER_ERROR_FROM_SERVER = "Errore dal server";
    
    // used in TaskManager --
    public static final String ACCOUNT_LISTENER_ERROR_DEFAULT = "Errore non specificato";
    
    // used in UIController --
    public static final String GENERIC_UNABLE_TO_OPEN_MESSAGE = "Impossibile aprire il messaggio";
    
    // used in UIController,LogSettingsForm --
    public static final String STRING_ON = "Il";
    
    // used in UIController --
    public static final String REPLY_WROTE = "Ha scritto:";
    
    // used in UIController --
    private final String GENERIC_UNABLE_TO_DELETE_MESSAGE = "Impossibile cancellare il messaggio ";
    
    
    // used in AboutForm --
    public static final String ABOUT_FORM_TITLE = "Informazioni";
    
    // used in AboutForm --
    public static final String ABOUT_MESSAGE_1 = "Funambol Email Client";
    
    // used in AboutForm --
    private final String ABOUT_MESSAGE_2 = "Version ";
    
    // used in AboutForm --
    public static final String ABOUT_MESSAGE_3 = "Copyright (C) 2003 - 2007";
    
    // used in AboutForm --
    public static final String ABOUT_MESSAGE_4 = "Funambol, Inc.";
    
    // used in AboutForm --
    public static final String ABOUT_MESSAGE_5 = "All rights reserved";
    
    // used in AboutForm --
    public static final String ABOUT_MESSAGE_6 = "www.funambol.com";
    
    // used in SendTaskManager --
    public static final String SEND_COMPLETED = "Spedizione completata ";
    
    // used in MailSyncListener --
    private final String MESSAGE_RECEIVING = "Ricezione ";
    
    // used in MailSyncListener --
    public static final String LOADING = "Controllo emails...";
    
    // used in MailSyncListener --
    public static final String SENDING_DOTTED = "Spedizione...";
    
    // used in MailSyncListener --
    public static final String CONNECTING = "Connessione...";
    
    // used in ContactSyncListener --
    public static final String SYNC_CONTACTS = "Aggiornamento contatti...";
    
    // used in SyncTaskManager, UIThreadPoolMonitor --
    public static final String CONFIGURATION_ERROR = "Errore di configurazione";
    
    // used in SendTaskManager --
    public static final String ERROR_DURING_SEND_RECEIVE = "SI  verificato un errore";
    
    // used in FunCanvasDraftMessageList, FunCanvasSentMessageList --
    public static final String POPUP_DELETE_ALL_TITLE = "Cancella tutti i messaggi";
    
    // used in FunCanvasDraftMessageList, FunCanvasSentMessageList --
    public static final String POPUP_DELETE_ALL_TEXT = "I messaggi di questa cartella verranno cancellati. Sei sicuro?";
    
    // used in FunCanvasInboxMessageList, FunCanvasOutboxMessageList --
    public static final String POPUP_DELETE_MESSAGE_TITLE = "Cancella messaggio";
    
    // used in FunCanvasInboxMessageList, FunCanvasOutboxMessageList --
    public static final String POPUP_DELETE_MESSAGE_TEXT = "I messaggi selezionati verranno cancellati. Sei sicuro?";
    
    // used in FunCanvasInboxMessageList --
    public static final String POPUP_EXIT_TITLE = "Esci";
    
    // used in FunCanvasInboxMessageList --
    public static final String POPUP_EXIT_TEXT = "Vuoi veramente uscire?";
    
    // used in when a platform request is performed and the midlet requires 
    // to be stopped
    //#ifdef Exit
//#     public static final String POPUP_PLATFORM_REQUEST_EXIT = 
//#           "Funambol deve essere chiuso per eseguire l'operazione. " +
//#           "Vuoi veramente chiudere Funambol?";
    //#endif
    //used in FunCanvasContactList --
    public static final String LOADING_CONTACTS = "Caricamento contatti...";
    
    //used in sendTaskManager
    public static final String SENDING = "Spedizione";
    
    // used in GetMailSettingsForm --
    public static final String ASSF_SYNC_SETTINGS_CHOICE_MAN = "Solo manualmente";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_5M = "Ogni 5 minuti";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_10M = "Ogni 10 minuti";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_15M = "Ogni 15 minuti";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_30M = "Ogni 30 minuti";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_1H = "Ogni ora";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_2H = "Ogni 2 ore";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_4H = "Ogni 4 ore";
    public static final String ASSF_SYNC_SETTINGS_CHOICE_1D = "Una volta al giorno";
    
    //used in FunCanvasContactList --
    public static final String AL_SYNC_COMMAND = "Aggiorna contatti";
    
    //used in FunCanvasViewMessage --, FunCanvasInboxMessageList --
    public static final String FLAG_COMMAND_LABEL = "Flag";
    
    //used in FunCanvasViewMessage --, FunCanvasInboxMessageList --
    public static final String UNFLAG_COMMAND_LABEL = "Cancella Flag";
    
    //used in FunCanvasViewMessage --
    public static final String READ_COMMAND_LABEL = "Segna come gi letto";
    
    //used in FunCanvasViewMessage --
    public static final String UNREAD_COMMAND_LABEL = "Segna come da leggere";
    
    private final String ONE_MESSAGE_RECEIVED = "Nuovo messaggio";
    
    private final String MESSAGES_RECEIVED = "Nuovi messaggi";
    
    private final String NO_MESSAGES_RECEIVED = "Nessun nuovo messaggio";
    
    //inbox command
    public static final String RESETINBOX_COMMAND = "Resetta Posta in Arrivo";
    
    public static final String RESETINBOX_MESSAGE = "Resetta Posta in Arrivo sul server? Questa operazione potrebbe richiedere un p di tempo.";
    
    public static final String SEND_LOG = "Stai per mandare i tuoi file di log a Funambol.  Continua?";
    public static final String SEND_LOG_POPUP_TITLE = "Send Log";
    
    public static final String SEND_LOG_COMMAND = "Invia Log";
    public static final String ENABLE_LOG_COMMAND = "Abilita";
    public static final String DISABLE_LOG_COMMAND = "Disabilita";
    
    public static final String RESET_CONTACTS_COMMAD = "Resetta contatti";
    
    public static final String SYNC_CONTACTS_COMPLETED = "Contatti ripristinati";
    
    public static final String RESET_REQUEST = "Resetta";
    
    public static final String RESETCONTACTS_MESSAGE = "Resetta la lista contatti dal server? Questa operazione potrebbe richiedere un p di tempo.";
    
    public static final String UPDATE_COMMAND_LABEL = "Aggiorna";
    
    public static final String OPEN_COMMAND_LABEL  = "Visualizza";
    
    public static final String COMPOSE_COMMAND_LABEL = "Componi";
    
    public static final String FOLDERS_COMMAND_LABEL = "Cartelle";
    
    public static final String OPTIONS_COMMAND_LABEL = "Opzioni";
    
    public static final String ABOUT_COMMAND_LABEL = "Informazioni";
    
    public static final String EXIT_COMMAND_LABEL = "Esci";
    
    public static final String SYNC_COMMAND_LABEL = "Scarica email";
    
    public static String SAVING_CONTACT = "Salvataggio contatto";
    
    // used when an email has no recipients
    public static String EMPTY_RECIPIENTS ="";
   
    public static String HELP_COMMAND_LABEL = "Aiuto";
    
    public static String HELP_SCREEN_TITLE = "Aiuto";
    
    public static String SOUND_SETTINGS_CHOICE_LABEL ="Avviso nuova email:";
    
    public static String SOUND_SETTINGS_CHOICE_SOUNDVIBRATE = "Riproduci suono e vibrazione";
    
    public static String SOUND_SETTINGS_CHOICE_PLAY_SOUND = "Riproduci suono";
    public static String SOUND_SETTINGS_CHOICE_VIBRATE = "Vibrazione";
    public static String SUPPRESS_NOTIFICATION_CHOICE_UNLESS= "Ma senza notifiche";
    
    public static String SUPPRESS_TO="A";
    public static String SUPPRESS_FROM="Da";

    // displayed when opening a message from the inbox
    public static String OPENING_MESSAGE="Apertura messaggio...";

    public static String SYNC_ON_STARTUP = "Recupera email all'avvio";
    public static String SYNC_ON_STARTUP_ON = "On";
    public static String SYNC_ON_STARTUP_OFF = "Off";

    // displayed during version upgrade
    public static final String UPGRADE_REQUIRED = "Per completare l'aggiornamento, dobbiamo fare un aggiornamento della tua cartella di posta in arrivo";
    public static final String UPGRADE_REQUIRES_NETWORK= "Per completare l'aggiornamento, quando richiesto,  devi permettere " +
                                                  "all'applicazione di avere un collegamento internet o un accesso alla rete funzionante." +
                                                  "Esci e riavvia l'applicazione per continuare";

    // Help page messages
    public static final String HELP_PAGE_TITLE = "Topic di aiuto";
    public static final String HELP_NOT_AVAILABLE = "Aiuto non disponibile";

    public static final String CONTACT_LIST_SEARCHING ="Ricerca in corso...";

    //  help into search contacts form
    public static final String T9SEARCH_GUIDE_IN_CONTACT_SEARCH = "Note: " + 
    "You may also find a contact while viewing the contacts list. " +
    "Use your keypad to enter the name you're looking for (e.g. 2639 for \"Andy\").";


    public static String CLEAR_LOG_COMMAND = "Pulisci";


    public static final String END_LOG_COMMAND = "Vai alla fine";
    
    public static final String KEYPAD_TO_SEARCH = "Utilizza il tastierino per la ricerca";
    public static final String ZERO_TO_CLEAR ="0 per cancellare la ricerca";
    public static final String NO_MATCHING_RESULTS ="Nessun risultato";

    // title used in application alerts
    public static final String ALERT_TITLE = "Funambol";

    public static final String RECIPIENT_LIST_TITLE = "Visualizza destinatari";

    public String  getVERSION(String version){
        return ABOUT_MESSAGE_2 + version;
    }
    //sync task manager
    public String getX_MESSAGES_RECEIVED(int x) {
        if (x <= 0) {
            return NO_MESSAGES_RECEIVED;
        } else if (x==1) {
            return x + " " + ONE_MESSAGE_RECEIVED;
        } else {
            return x + " " + MESSAGES_RECEIVED;
        }
    }
    
    public String getGENERIC_UNABLE_TO_DELETE_MESSAGE(String toDelete){
        return GENERIC_UNABLE_TO_DELETE_MESSAGE +"'"+ toDelete +"'";
    }
    
    public String getLSF_LOG_LEVEL_SET_TO(String logLevel){
        return LSF_LOG_LEVEL_SET_TO + logLevel;
    }
    
    public String getMESSAGE_X_RECEIVED(int received){
        return MESSAGE_RECEIVING + received;
    }
    
    public String getMESSAGE_X_OF_Y_RECEIVED(int received , int toReceive){
        return MESSAGE_RECEIVING + received +"/"+toReceive;
    }
    
    public String getSENDINGX(int toSend) {
        return new StringBuffer(SENDING).append(" ").append(toSend).toString();
    }
    
    public String getSENDINGX_OF_Y(int sent, int toSend) {
        return new StringBuffer(SENDING).append(" ").append(sent).append("/").append(toSend).toString();
    }

    public String getMessageXofY(int x, int y) {
        return "Messaggio " + x + "/ " + y;
    }
    
    
}
